osl::eval::ppair::PiecePairEvalTableBase< Table > Class Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | Protected Member Functions | Static Private Member Functions | List of all members
osl::eval::ppair::PiecePairEvalTableBase< Table > Class Template Reference

`#include <piecePairEval.h>`

Inheritance diagram for osl::eval::ppair::PiecePairEvalTableBase< Table >:
[legend]
Collaboration diagram for osl::eval::ppair::PiecePairEvalTableBase< Table >:
[legend]

## Static Public Member Functions
static int | adjustPairs (const SimpleState &state, unsigned int new_index)
| 駒が old_index から new_index に動いたときの値の差分 More...
static int | adjustPairs (const SimpleState &state, unsigned int old_index, unsigned int new_index)
static int | adjustPairs (const SimpleState &state, unsigned int old_index, unsigned int old_index2, unsigned int new_index)
static int | diffAfterSimpleMove (const SimpleState &state, Square from, Square to, int promote_mask)
static int | diffAfterDropMove (const SimpleState &state, Square to, PtypeO ptypeo)
static int | diffAfterCaptureMove (const SimpleState &state, Square from, Square to, PtypeO victim, int promote_mask)
static int | adjustPairsAfterMove (const SimpleState &state, unsigned int new_index)
| この時 state は move した後 More...
static int | adjustPairsAfterMove (const SimpleState &state, unsigned int old_index, unsigned int new_index)
static int | adjustPairsAfterMove (const SimpleState &state, unsigned int old_index, unsigned int old_index2, unsigned int new_index)
static int | diffWithUpdate (const SimpleState &new_state, Move last_move)
static void | setValues (const SimpleState &, container::PieceValues &)
| 関係の値をPiece 毎の価値に変換する. More...
static bool | initialized ()
static bool | setUp (const char *filename)
static bool | setUp ()
Static Public Member Functions inherited from osl::eval::ppair::PiecePairEvalBase
static int | roundUp (int v)
static int | infty ()
static int | captureValue (PtypeO ptypeo)

## Protected Member Functions
| PiecePairEvalTableBase (const SimpleState &state)
| ~PiecePairEvalTableBase ()
Protected Member Functions inherited from osl::eval::ppair::PiecePairEvalBase
| PiecePairEvalBase ()
| ~PiecePairEvalBase ()

## Static Private Member Functions
static bool & | initializationFlag ()

## Additional Inherited Members
Public Member Functions inherited from osl::eval::ppair::PiecePairEvalBase
int | value () const
int | rawValue () const
Static Public Attributes inherited from osl::eval::ppair::PiecePairEvalBase
static const int | ROUND_UP = 2
| roundup は 2^n であること More...
Protected Attributes inherited from osl::eval::ppair::PiecePairEvalBase
int | val

## Detailed Description

### template<class Table>
class osl::eval::ppair::PiecePairEvalTableBase< Table >

Definition at line 62 of file piecePairEval.h.

## Constructor & Destructor Documentation

template<class Table >

osl::eval::ppair::PiecePairEvalTableBase< Table >::PiecePairEvalTableBase | ( | const SimpleState & | state) |  |
| explicitprotected

Definition at line 14 of file piecePairEval.tcc.

template<class Table>

osl::eval::ppair::PiecePairEvalTableBase< Table >::~PiecePairEvalTableBase | ( | ) |  |
| inlineprotected

Definition at line 67 of file piecePairEval.h.

## Member Function Documentation

template<class Table >

int osl::eval::ppair::PiecePairEvalTableBase< Table >::adjustPairs | ( | const SimpleState & | state,
|  | unsigned int | new_index
| ) |  |
| static

駒が old_index から new_index に動いたときの値の差分

Parameters

  state | 動く前の局面
  old_index | 駒+移動元
  new_index | 駒+移動先

Definition at line 53 of file piecePairEval.tcc.

References osl::Piece::isOnBoard(), and target.

Referenced by osl::eval::ppair::PiecePairEvalTableBase< PiecePairPieceTable >::diffAfterCaptureMove(), osl::eval::ppair::PiecePairEvalTableBase< PiecePairPieceTable >::diffAfterDropMove(), and osl::eval::ppair::PiecePairEvalTableBase< PiecePairPieceTable >::diffAfterSimpleMove().

template<class Table >

int osl::eval::ppair::PiecePairEvalTableBase< Table >::adjustPairs | ( | const SimpleState & | state,
|  | unsigned int | old_index,
|  | unsigned int | new_index
| ) |  |
| static

Definition at line 73 of file piecePairEval.tcc.

References osl::Piece::isOnBoard(), and target.

template<class Table >

int osl::eval::ppair::PiecePairEvalTableBase< Table >::adjustPairs | ( | const SimpleState & | state,
|  | unsigned int | old_index,
|  | unsigned int | old_index2,
|  | unsigned int | new_index
| ) |  |
| static

Definition at line 95 of file piecePairEval.tcc.

References osl::Piece::isOnBoard(), and target.

template<class Table >

int osl::eval::ppair::PiecePairEvalTableBase< Table >::adjustPairsAfterMove | ( | const SimpleState & | state,
|  | unsigned int | new_index
| ) |  |
| static

この時 state は move した後

Definition at line 123 of file piecePairEval.tcc.

References osl::Piece::isOnBoard(), and target.

Referenced by osl::eval::ppair::PiecePairEvalTableBase< PiecePairPieceTable >::diffWithUpdate().

template<class Table >

int osl::eval::ppair::PiecePairEvalTableBase< Table >::adjustPairsAfterMove | ( | const SimpleState & | state,
|  | unsigned int | old_index,
|  | unsigned int | new_index
| ) |  |
| static

Definition at line 141 of file piecePairEval.tcc.

References osl::Piece::isOnBoard(), and target.

template<class Table >

int osl::eval::ppair::PiecePairEvalTableBase< Table >::adjustPairsAfterMove | ( | const SimpleState & | state,
|  | unsigned int | old_index,
|  | unsigned int | old_index2,
|  | unsigned int | new_index
| ) |  |
| static

Definition at line 162 of file piecePairEval.tcc.

References osl::Piece::isOnBoard(), and target.

template<class Table>

static int osl::eval::ppair::PiecePairEvalTableBase< Table >::diffAfterCaptureMove | ( | const SimpleState & | state,
|  | Square | from,
|  | Square | to,
|  | PtypeO | victim,
|  | int | promote_mask
| ) |  |
| inlinestatic

Definition at line 97 of file piecePairEval.h.

Referenced by osl::eval::ppair::PiecePairWithStand< PiecePairPieceTable >::diffAfterCaptureMove().

template<class Table>

static int osl::eval::ppair::PiecePairEvalTableBase< Table >::diffAfterDropMove | ( | const SimpleState & | state,
|  | Square | to,
|  | PtypeO | ptypeo
| ) |  |
| inlinestatic

Definition at line 92 of file piecePairEval.h.

Referenced by osl::eval::ppair::PiecePairWithStand< PiecePairPieceTable >::diffAfterDropMove().

template<class Table>

static int osl::eval::ppair::PiecePairEvalTableBase< Table >::diffAfterSimpleMove | ( | const SimpleState & | state,
|  | Square | from,
|  | Square | to,
|  | int | promote_mask
| ) |  |
| inlinestatic

Definition at line 82 of file piecePairEval.h.

Referenced by osl::eval::ppair::PiecePairWithStand< PiecePairPieceTable >::diffAfterSimpleMove().

template<class Table>

static int osl::eval::ppair::PiecePairEvalTableBase< Table >::diffWithUpdate | ( | const SimpleState & | new_state,
|  | Move | last_move
| ) |  |
| inlinestatic

Definition at line 119 of file piecePairEval.h.

Referenced by osl::eval::ppair::PiecePairWithStand< PiecePairPieceTable >::diffWithUpdate().

template<class Table >

bool & osl::eval::ppair::PiecePairEvalTableBase< Table >::initializationFlag | ( | ) |  |
| staticprivate

Definition at line 27 of file piecePairEval.tcc.

Referenced by osl::eval::ppair::PiecePairEvalTableBase< PiecePairPieceTable >::initialized().

template<class Table>

static bool osl::eval::ppair::PiecePairEvalTableBase< Table >::initialized | ( | ) |  |
| inlinestatic

Definition at line 142 of file piecePairEval.h.

template<class Table >

bool osl::eval::ppair::PiecePairEvalTableBase< Table >::setUp | ( | const char * | filename) |  |
| static

Definition at line 35 of file piecePairEval.tcc.

References result.

template<class Table >

bool osl::eval::ppair::PiecePairEvalTableBase< Table >::setUp | ( | ) |  |
| static

Definition at line 44 of file piecePairEval.tcc.

template<class Table >

void osl::eval::ppair::PiecePairEvalTableBase< Table >::setValues | ( | const SimpleState & | state,
|  | container::PieceValues & | values
| ) |  |
| static

関係の値をPiece 毎の価値に変換する.

- 駒Aの価値は r(A,A) + (r(A+B)/2)
- 但し，A,Bのどちらか(のみ)玉の時には，玉でない方に関係の点数を集める

Definition at line 190 of file piecePairEval.tcc.

References osl::PieceTable::getPtypeOf(), osl::KING, and osl::Piece_Table.

The documentation for this class was generated from the following files:

- piecePairEval.h
- piecePairEval.tcc